import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { ContentDetailed } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-27 17:17
 */
interface ContentDetailedCU extends ConditionUtil<ContentDetailedCU> {
    ID: FieldUtil<ContentDetailedCU>;
    CONTENT_ID: FieldUtil<ContentDetailedCU>;
    SEND_RECORD_ID: FieldUtil<ContentDetailedCU>;
    ANSWER_CONTENT: FieldUtil<ContentDetailedCU>;
    BROWSED: FieldUtil<ContentDetailedCU>;
    ANSWERED: FieldUtil<ContentDetailedCU>;
    EFF_DATE: FieldUtil<ContentDetailedCU>;
    EXP_DATE: FieldUtil<ContentDetailedCU>;
    SUBMIT_USER_ID: FieldUtil<ContentDetailedCU>;
    CREATE_TIME: FieldUtil<ContentDetailedCU>;
    UPDATE_TIME: FieldUtil<ContentDetailedCU>;
}
declare class ContentDetailedMU extends TableUtilImpl<ContentDetailedCU, ContentDetailed> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): ContentDetailedCU;
    static get ID(): FieldUtil<ContentDetailedCU>;
    static get CONTENT_ID(): FieldUtil<ContentDetailedCU>;
    static get SEND_RECORD_ID(): FieldUtil<ContentDetailedCU>;
    static get ANSWER_CONTENT(): FieldUtil<ContentDetailedCU>;
    static get BROWSED(): FieldUtil<ContentDetailedCU>;
    static get ANSWERED(): FieldUtil<ContentDetailedCU>;
    static get EFF_DATE(): FieldUtil<ContentDetailedCU>;
    static get EXP_DATE(): FieldUtil<ContentDetailedCU>;
    static get SUBMIT_USER_ID(): FieldUtil<ContentDetailedCU>;
    static get CREATE_TIME(): FieldUtil<ContentDetailedCU>;
    static get UPDATE_TIME(): FieldUtil<ContentDetailedCU>;
    get ID(): FieldUtil<ContentDetailedCU>;
    get CONTENT_ID(): FieldUtil<ContentDetailedCU>;
    get SEND_RECORD_ID(): FieldUtil<ContentDetailedCU>;
    get ANSWER_CONTENT(): FieldUtil<ContentDetailedCU>;
    get BROWSED(): FieldUtil<ContentDetailedCU>;
    get ANSWERED(): FieldUtil<ContentDetailedCU>;
    get EFF_DATE(): FieldUtil<ContentDetailedCU>;
    get EXP_DATE(): FieldUtil<ContentDetailedCU>;
    get SUBMIT_USER_ID(): FieldUtil<ContentDetailedCU>;
    get CREATE_TIME(): FieldUtil<ContentDetailedCU>;
    get UPDATE_TIME(): FieldUtil<ContentDetailedCU>;
}
export { ContentDetailedMU, ContentDetailedCU };
